#include <iostream>
using namespace std;


int main()
{


int v, r, brojac = 0;
cin>> v;
int n, a, zbir = 0, i = 0;
n = v;
while(n>0)
{
 n= n/10;
brojac = brojac + 1;
}

int brojac2 = brojac;
for (i = 0; i< brojac; i++)
{
    a = v/10;
    v = v%10;
    r = a%5;
    if(a<5)
    {
       if(r>2)
       {
       zbir = zbir + 2;  

       }
       else if(r>0 && r<2)
       { 
        zbir = zbir + 1;
       }
       
    }


}
cout<< zbir;
}